package it.unibo.lbedogni.navigationdrawerexample;

import android.app.FragmentManager;
import android.app.FragmentTransaction;
import android.os.Bundle;
import android.support.design.widget.NavigationView;
import android.support.v4.view.GravityCompat;
import android.support.v4.widget.DrawerLayout;
import android.support.v7.app.ActionBar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.MenuItem;
import android.widget.ImageView;

public class MainActivity extends AppCompatActivity {

    private DrawerLayout mDrawerLayout;
    private ImageView imgCenter;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        mDrawerLayout = findViewById(R.id.drawer_layout);

        Toolbar toolbar = findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        ActionBar actionbar = getSupportActionBar();
        actionbar.setDisplayHomeAsUpEnabled(true);
        actionbar.setHomeAsUpIndicator(R.drawable.ic_menu_white_48dp);

        FragmentManager fm = getFragmentManager();
        FragmentTransaction ft = fm.beginTransaction();
        if (null == fm.findFragmentById(R.id.fragmentMain)) {
            ft.add(R.id.fragmentMain, new MainFragment(), "FRAGMENT_MAIN");
        }

        NavigationView navigationView = findViewById(R.id.nav_view);
        navigationView.setNavigationItemSelectedListener(
                new NavigationView.OnNavigationItemSelectedListener() {
                    @Override
                    public boolean onNavigationItemSelected(MenuItem menuItem) {
                        menuItem.setChecked(true);
                        mDrawerLayout.closeDrawers();

                        FragmentManager fm = getFragmentManager();

                        if (menuItem.getTitle().toString().equals("Clownfish")) {
                            MainFragment mf = (MainFragment)fm.findFragmentById(R.id.fragmentMain);
                            mf.changeAnimal("Clownfish");
                        } else if (menuItem.getTitle().toString().equals("Pygmy")) {
                            MainFragment mf = (MainFragment)fm.findFragmentById(R.id.fragmentMain);
                            mf.changeAnimal("Pygmy");
                        } else if (menuItem.getTitle().toString().equals("Shrimp")) {
                            MainFragment mf = (MainFragment)fm.findFragmentById(R.id.fragmentMain);
                            mf.changeAnimal("Shrimps");
                        } else if (menuItem.getTitle().toString().equals("Crab")) {
                            MainFragment mf = (MainFragment)fm.findFragmentById(R.id.fragmentMain);
                            mf.changeAnimal("Crab");
                        }
                        return true;
                    }
                });
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            case android.R.id.home:
                mDrawerLayout.openDrawer(GravityCompat.START);
                return true;
        }
        return super.onOptionsItemSelected(item);
    }
}
