package it.unibo.cs.lbedogni.tween;

import android.animation.Animator;
import android.animation.Animator.AnimatorListener;
import android.animation.AnimatorInflater;
import android.animation.AnimatorSet;
import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.animation.Animation;
import android.view.animation.Animation.AnimationListener;
import android.view.animation.AnimationUtils;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;

public class TweenActivity extends Activity implements OnClickListener, AnimationListener, AnimatorListener {
	
	Button btn_start;
	Button btn_stop;

    AnimatorSet as;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        btn_start = (Button)findViewById(R.id.btn_start);
        btn_stop = (Button)findViewById(R.id.btn_stop);
        btn_start.setOnClickListener(this);
        btn_stop.setOnClickListener(this);
    }
    
    public void startAnimation() {
    	TextView title = (TextView)findViewById(R.id.title);
        as = (AnimatorSet) AnimatorInflater.loadAnimator(this, R.animator.animation2);
        as.setTarget(title);
        as.addListener(this);
        as.start();

    	TextView subtitle = (TextView)findViewById(R.id.subtitle);
    	Animation fade2 = AnimationUtils.loadAnimation(this, R.anim.animation);
    	fade2.setStartOffset(500);
    	subtitle.startAnimation(fade2);
    }
    
    public void stopAnimation() {
        as.cancel();
    }

	@Override
	public void onClick(View arg0) {
		if (arg0 == btn_start)
			startAnimation();
		else if (arg0 == btn_stop)
			stopAnimation();
	}

	@Override
	public void onAnimationEnd(Animation arg0) {
		Toast.makeText(this, "onAnimationEnd", Toast.LENGTH_SHORT).show();
	}

	@Override
	public void onAnimationRepeat(Animation arg0) {
		Toast.makeText(this, "onAnimationRepeat", Toast.LENGTH_SHORT).show();
	}

	@Override
	public void onAnimationStart(Animation arg0) {
		Toast.makeText(this, "onAnimationStart", Toast.LENGTH_SHORT).show();
	}

    @Override
    public void onAnimationStart(Animator animator) {
        Toast.makeText(this, "onAnimatorStart", Toast.LENGTH_SHORT).show();
    }

    @Override
    public void onAnimationEnd(Animator animator) {
        Toast.makeText(this, "onAnimatorEnd", Toast.LENGTH_SHORT).show();
    }

    @Override
    public void onAnimationCancel(Animator animator) {
        Toast.makeText(this, "onAnimatorCancel", Toast.LENGTH_SHORT).show();
    }

    @Override
    public void onAnimationRepeat(Animator animator) {
        Toast.makeText(this, "onAnimatorRepeat", Toast.LENGTH_SHORT).show();
    }
}